import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:eyflutter_tik_video_example/tiktok.dart';
import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class Home extends StatefulWidget {
  const Home({Key? key}) : super(key: key);

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends LifecycleState<Home> {
  @override
  String get viewName => "home";

  @override
  Widget build(BuildContext context) {
    super.build(context);
    return Scaffold(
      appBar: AppBar(
        title: const Text('eyflutter demo'),
      ),
      resizeToAvoidBottomInset: false,
      body: ConstListView(
        itemCount: 20,
        itemExtent: 50,
        buttons: [
          ConstButton(
            text: "短视频2",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const TikTok());
            },
          ),
        ],
      ),
    );
  }
}
